<ICA lang="use_os">
	<Setups productcode="ICA.productcode">
		<Msi productcode="{7299052b-02a4-4627-81f2-1818da5d550d}" file="Setup\RunTime\MSVC2005\vcredist.msi" cmdline="" condition="THIRD_PARTY" progresstext="Str.Running.VS2005.text" adminsupport="0" />
		<Msi productcode="{9A25302D-30C0-39D9-BD6F-21E6EC160475}" file="Setup\RunTime\MSVC2008\vc_red.msi" cmdline="" condition="THIRD_PARTY" progresstext="Str.Running.VS2008.text" adminsupport="0" />
		
		<Msi productcode="{15002A1B-C1E7-4E91-A3EC-5502BF924A32}" file="Setup\Setup.msi" cmdline="ICA_ALL_PUBLIC TRANSFORMS=[MSTFileName]" progresstext="Str.ProgressText.Common" managed="1">
			<Dbm productcode="{15180A90-1FC0-47E4-A150-3AECEF07B3B6}" file="Setup\PSPPro.msi" cmdline="ICA_ALL_PUBLIC" progresstext="Str.ProgressText.Common" />
			<Dbm productcode="{1522E36C-3739-41E4-8CD3-A4AFEA70086A}" file="Setup\PSPPContent.msi" cmdline="ICA_ALL_PUBLIC" progresstext="Str.ProgressText.Common" />
			<Dbm productcode="{153DD765-C8C6-4893-8CEF-D965351D82EC}" file="Setup\PSPPHelp.msi" cmdline="ICA_ALL_PUBLIC" progresstext="Str.ProgressText.Common" />
			<Dbm productcode="{154B0B16-ABCD-4A06-B0B7-8146B7A89B25}" file="Setup\IPM_PSP_COM.msi" cmdline="ICA_ALL_PUBLIC" progresstext="Str.ProgressText.Common" comment="" />
			<Dbm productcode="{1551A29F-B1B0-43CA-90B5-E6E5186F683E}" file="Setup\PSPPro64.msi" cmdline="ICA_ALL_PUBLIC" progresstext="Str.ProgressText.Common" condition="64BIT_OS" comment="" />
			<Dbm productcode="{1563C6F2-E9B5-42DE-9EA6-207C9A8C2DFB}" file="ICA.msi" cmdline="ICA_ALL_PUBLIC" progresstext="Str.ProgressText.Common" adminsupport="0" comment="" />
		</Msi>
		<Msi productcode="{XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX}" file="ICA.msi" condition="ACTION=ADMIN" comment="Added here for admin support only, productcode is only used for local installs and should be unique -- therefore this node has a bogus one -- the other option is to explictly list all ICA files in SupportFile nodes -- NOTE the condition must be ACTION=ADMIN"/>
		
		<Msi productcode="PreinstallIPM.msi" file="Setup\PreinstallIPM.msi" condition="ManuallyInstall" cmdline="ICA_ALL_PUBLIC" progresstext="Str.ProgressText.Common" adminsupport="0"/>
		
		<SupportFile file="Setup\RunTime\MSVC2005\*.*" />
		<SupportFile file="Setup\RunTime\MSVC2008\*.*" />
		<SupportFile file="Setup\*.mst" />
	</Setups>

	<FeatureTree>
		<Feature name="Str.Feature.MainApp" desc="" property="MainApp" required="1" expanded="1" >
			<Feature name="Str.Feature.MainApp.PSPPro" desc="" property="PSPPro" size="300000" required="1" />
			<Feature name="NoDisplay" desc="" property="HDR" size="0" required="1" />
			<Feature name="NoDisplay" desc="" property="PSPPContent" size="0" required="1" />
			<Feature name="NoDisplay" desc="" property="PSPPHelp" size="0" required="1" />
			<Feature name="NoDisplay" desc="" property="IPM" size="0" required="1" >
				<Feature name="NoDisplay" desc="" property="IPM_Language" size="0" required="1" />
				<Feature name="NoDisplay" desc="" property="IPM_R" size="0" required="1" />
				<Feature name="NoDisplay" desc="" property="IPM_VLP" size="0" required="1" />
				<Feature name="NoDisplay" desc="" property="IPM_POSA" size="0" required="1" />
			</Feature>
			<Feature name="NoDisplay" desc="" property="PSPPro64" size="0" required="1" condition="64BIT_OS" />
		</Feature>
		
		<Feature name="Str.Feature.ULLanguage" desc="" property="ULLanguage" required="1" expanded="1">
			<Feature name="Str.Feature.ULLanguage.Language_EN" desc="EN" property="Language_EN" size="25000" required="1" />
			<Feature name="Str.Feature.ULLanguage.Language_CS" desc="CS" property="Language_CS" size="25000" checked="0" condition="Show_CS" />
			<Feature name="Str.Feature.ULLanguage.Language_CT" desc="CT" property="Language_CT" size="25000" checked="0" condition="Show_CT" />
			<Feature name="Str.Feature.ULLanguage.Language_DE" desc="DE" property="Language_DE" size="25000" checked="0" condition="Show_DE" />
			<Feature name="Str.Feature.ULLanguage.Language_ES" desc="ES" property="Language_ES" size="25000" checked="0" condition="Show_ES" />
			<Feature name="Str.Feature.ULLanguage.Language_FR" desc="FR" property="Language_FR" size="25000" checked="0" condition="Show_FR" />
			<Feature name="Str.Feature.ULLanguage.Language_IT" desc="IT" property="Language_IT" size="25000" checked="0" condition="Show_IT" />
			<Feature name="Str.Feature.ULLanguage.Language_JP" desc="JP" property="Language_JP" size="25000" checked="0" condition="Show_JP" />
			<Feature name="Str.Feature.ULLanguage.Language_NL" desc="NL" property="Language_NL" size="25000" checked="0" condition="Show_NL" />
			<Feature name="Str.Feature.ULLanguage.Language_PL" desc="PL" property="Language_PL" size="25000" checked="0" condition="Show_PL" />
			<Feature name="Str.Feature.ULLanguage.Language_RU" desc="RU" property="Language_RU" size="25000" checked="0" condition="Show_RU" />
			<Feature name="Str.Feature.ULLanguage.Language_SU" desc="SU" property="Language_SU" size="25000" checked="0" condition="Show_SU" />
			<Feature name="Str.Feature.ULLanguage.Language_SV" desc="SV" property="Language_SV" size="25000" checked="0" condition="Show_SV" />	
			<Feature name="Str.Feature.ULLanguage.Language_KR" desc="KR" property="Language_KR" size="25000" checked="0" condition="Show_KR" />
			<Feature name="Str.Feature.ULLanguage.Language_BR" desc="BR" property="Language_BR" size="25000" checked="0" condition="Show_BR" />
			<Feature name="Str.Feature.ULLanguage.Language_CZ" desc="CZ" property="Language_CZ" size="25000" checked="0" condition="Show_CZ" />
		</Feature>
		
		<Feature name="Str.Feature.Miscellaneous" desc="" property="ULMiscellaneous" required="" expanded="1">
			<Feature name="Str.Feature.Miscellaneous.Desktop" desc="" property="DESKTOP" size="0" required="" />
		</Feature>
	</FeatureTree>

	<SourceFiles>
	</SourceFiles>
  
	<RestartManager>
		<App file="[INSTALLDIR]Corel PaintShop Pro.exe" />
		<App file="[INSTALLDIR]Corel PaintShop Merge.exe" />
	</RestartManager>

	<UserFiles>
	</UserFiles>

	<Properties>
		<!-- Installer -->
		<Property name="ICA_DefaultUILang" value="en" comment="use whatever language you want to default to instead of showing Select Language DB" />
		<Property name="ICA.Dlg.AllowDrag" value="1" />
		<Property name="AcceptLicense" value="0" />
		<Property name="SHOWSERIALDIALOG" value="true" comment="true will show the serial number dialog, false will skip it" />
		<Property name="SERIALNUMBER" value="" persist="1" comment="When you remove the hardcoded serial number, just set the value to blank, do not remove this node or the SERIALNUMBER will not be saved after you perform an admin install" />
		<Property name="MAX_PATH" value="90" />
		<Property name="ICA.Default.InstallDir" value="Corel\Corel PaintShop Pro X5" />
		<Property name="ICA.Default.InstallFolder" value="Corel PaintShop Pro X5" />
		<Property name="MSIFASTINSTALL" value="7" />
		<Property name="ICA.LogOptions" value="" />
		<Property name="ComName" value="Corel" />
		<Property name="ProdName" value="PaintShop Pro" />
		<Property name="VerName" value="X5" />
		<Property name="IMPORTDB" value="1" />
		
		<!-- Option -->
		<Property name="ALLOW_PRODUCTUPDATES" value="1" persist="1" comment="needs to be saved from admin installs, Script.dll will default it off if we are running an admin setup" />
		
		<!-- Remove -->
		<Property name="ShowCleanPerUserFolder" value="1" />
		<Property name="CLEAN_PERUSER" value="1" />
		<Property name="ARP_ICON" value="Corel PaintShop Pro.exe" />
		<Property name="ICA.Maintenance.Mode" value="Remove" comment="sets the default radio button on ARP.htm" />
		
		<!-- IPM -->
		<Property name="SerChckModule" value="SerChckV2.DLL" />
		<Property name="NLRFILE" value="PPPCUNLR.DLL" />
		<Property name="PIDPREFIX" value="TS15" />
		<Property name="DTAFILENAME" value="TS15" />
		<Property name="PCUSOURCEID" value="807001" />
		<Property name="PCU_LICID" value="540244831" />
		<Property name="LICENSEID" value="540244831" />
		<Property name="RP_LICID" value="540244831" />
		<Property name="RP_SID" value="807001" />
		<Property name="SUITE" value="99" />
		<Property name="PCUURLLANG" value="EN" />
		
		<!-- MSI and Registry-->
		<Property name="PRODUCTREGKEY" value="PaintShop Pro\X5" />
		<Property name="C_APPEXE" value="Corel PaintShop Pro.exe" />
		<Property name="C_HDREXE" value="Corel PaintShop Merge.exe" />
		<Property name="PRO_PR_VER" value="15.00" />
		<Property name="INSTALL_TYPE" value="PRO_R" />
		<Property name="VersionInt" value="15" />
		<Property name="VersionFlo" value="15.0" />
		<Property name="VersionMerge" value="2.0" />
		
		<!-- SourceFiles -->
		<Property name="CACHE_SETUP_SOURCE" value="1" />
		<Property name="CACHE_SETUP_SOURCE_SHOWUI" value="Show" comment="Hide - will remove the Copy Installation Files option" />
		
		<!-- Others -->
		<Property name="PRO" value="2" />
		<Property name="PSP_NEWPAGE" value="Custom\Settings.htm" />
		<Property name="IPM_SU" value="0" />
		<Property name="PLAYBACKSKU" value="0" />
		
		<Property name="PRODUCT" value="PaintShop Pro" />
		<Property name="PRODUCTSHOWSERIAL" value="1" />
		
		<Property name="Include.Default" value="EN" />
		<Property name="Include.EN" value="1" />
		
		<Property name="MUI_SUPPORT" value="TRUE" />
		
	</Properties>
</ICA>

